%define name urlget 
%define version 0.7
%define release 2mdk
%define iconname urlget.png

Summary:   UrlGet is a download manager that usesg gtk+2
Name:      %{name}
Version:   %{version}
Release:   %{release}
Group:     Networking/File transfer
License:     GPL
Url:       http://urlget.sourceforge.net/
Source:  %{name}-%{version}.tar.bz2 
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libcurl-devel
BuildRequires: libxml2-devel
BuildRequires: libgtk+2-devel
BuildRequires: libgdk_pixbuf2.0-devel
BuildRequires: openssl-devel 
BuildRequires: ImageMagick
Requires: wget

%description
UrlGet is a download manager that uses gtk+2
 User can classify URLs before downloading.	
 Every category has independent configuration.	
 Batch mode can generate URLs. 
 Import URLs from .html files. 
 Export URLs ( for wget -i )

%prep
%setup -q -n %{name}-%{version}
 
%build
 
%configure2_5x

%make
 
%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 pixmaps/urlget-icon.png %{buildroot}%{_liconsdir}/%{iconname}
convert pixmaps/%{name}-icon.png  -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert pixmaps/%{name}-icon.png  -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname} 

cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{name}" \
	icon="%{iconname}" \
	title="Urlget" \
	longtitle="A download manager" \
	needs="x11" \
	section="Networking/File transfer"
EOF

%find_lang %{name} 

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS COPYING NEWS
%{_bindir}/*
%{_menudir}/%{name} 
%{_iconsdir}/*

%changelog
* Sun Jan 04 2004 Charles A Edwards <eslrahc@mandrake.org> 0.7-2mdk
- fix typo in description

* Sun Jan 04 2004 Charles A Edwards <eslrahc@mandrake.org> 0.7-1mdk
- first mdk release
 
